#
# spec file for package nautilus-search-tool
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define         nautilusextdir %(pkg-config --variable=extensiondir libnautilus-extension)

Name:           nautilus-search-tool
# Looks for gnome-search-tool during configure
%if 0%{?suse_version} > 1130
BuildRequires:  gnome-search-tool
%else
BuildRequires:  gnome-utils
%endif
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  nautilus-devel
License:        GPL-2.0+
Group:          Productivity/File utilities
Version:        0.3.1
Release:        lp150.1.3
Summary:        A Nautilus extension to put "Search for Files" on the context menu of folders
Source0:        http://downloads.sourceforge.net/project/nautsearchtool/nautilus-search-tool/0.3.1/%{name}-%{version}.tar.gz
Url:            http://saettaz.altervista.org/software/nautilus_search_tool.html
# PATCH-FIX-UPSTREAM nautilus-search-tool-no-debug.patch vuntz@novell.com -- Remove debug output
Patch3:         nautilus-search-tool-no-debug.patch
# PATCH-FIX-UPSTREAM nautilus-search-tool-no-quote.patch vuntz@novell.com -- Do not quote uselessly the directory passed as argument
Patch5:         nautilus-search-tool-no-quote.patch
# PATCH-FIX-UPSTREAM nautilus-search-tool-no_c++.patch dimstar@opensuse.org -- Do not require c++ compiler. Patch sent my email on 2011-11-15
Patch6:         nautilus-search-tool-no_c++.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1130
Requires:       gnome-search-tool
%else
Requires:       gnome-utils
%endif
Requires:       %{name}-lang = %{version}

%description
This package adds an option to the context menu of folders in Nautilus
to search for files.

%lang_package
%prep
%setup -q
%patch3 -p1
%patch5 -p1
%patch6 -p1

%build
mkdir m4
autoreconf -fi
%configure --disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{nautilusextdir}/*.so

%files lang -f %{name}.lang

%changelog
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Nov 15 2011 dimstar@opensuse.org
- Update to version 0.3.1:
  + Removed dependencies on gconf, eel, gnome-desktop and gnome-vfs
  + Applied some patches from opensuse (thanks)
  + Fixed to work with gnome 2.28
- Rebase nautilus-search-tool-no-debug.patch and
  nautilus-search-tool-no-quote.patch
- Drop patches that were merged upstream:
  + nautilus-search-tool-0.2-headers.patch
  + nautilus-search-tool-useless-deps.patch
  + nautilus-search-tool-hide-when-unavailable.patch
  + nautilus-search-tool-code-cleanup.patch
  + nautilus-search-tool-g_user_directory.patch
- Add nautilus-search-tool-no_c++.patch: We don't really want to
  require a c++ compiler to build this C code.
* Tue Jun  7 2011 vuntz@opensuse.org
- Fix build against GNOME 3, by packaging the file in the right
  directory (which is versioned). We use pkg-config to find this
  directory now, instead of manually defining it.
- Also use gnome-search-tool Requires instead of gnome-utils for
  11.4 and later, since gnome-search-tool got split.
* Wed Sep 15 2010 vuntz@opensuse.org
- Use gnome-search-tool BuildRequires instead of gnome-utils for
  11.4 and later, since gnome-search-tool got split.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 0.3.0:
  + Fix to work with newer nautilus.
  + Fix to work with newer gnome-utils.
  + Updated translations
- Drop nautilus-search-tool-extension-directory.patch: fixed
  upstream.
- Respin nautilus-search-tool-0.2-headers.patch,
  nautilus-search-tool-code-cleanup.patch,
  nautilus-search-tool-g_user_directory.patch,
  nautilus-search-tool-hide-when-unavailable.patch,
  nautilus-search-tool-no-debug.patch,
  nautilus-search-tool-no-quote.patch,
  nautilus-search-tool-useless-deps.patch
- Remove checks for old versions of openSUSE.
- Add BuildRequires and Requires for gnome-utils.
- Do not set CFLAGS to the default values.
- Pass --disable-static to configure.
* Mon Jan 19 2009 vuntz@novell.com
- Split nautilus-search-tool-cleanup.patch in smaller patches:
  + nautilus-search-tool-code-cleanup.patch: minor code cleanups
  + nautilus-search-tool-g_user_directory.patch: determine the
    desktop directory at runtime
  + nautilus-search-tool-hide-when-unavailable.patch: hide the menu
    items when gnome-search-tool is not available
  + nautilus-search-tool-no-debug.patch: remove debug output
  + nautilus-search-tool-no-quote.patch: do not quote uselessly the
    directory passed as argument
  + nautilus-search-tool-useless-deps.patch: remove useless
    dependencies
- Add nautilus-search-tool-extension-directory.patch that replaces
  nautilus-search-tool-0.2-extdir.patch: we use pkg-config to
  determine where to install the nautilus extension.
* Thu Jan 15 2009 vuntz@novell.com
- Import package from home:etrash.
- Add nautilus-search-tool-cleanup.patch to cleanup many things in
  the source code (including removing unused dependencies, debug
  statements, etc.).
* Fri Feb 22 2008 claes.backstrom@fsfe.org
- Initial Package (version 0.2.2-4)
